# Breach

common ways to breach network. Including proxy, port forward, ssh tunnel, and backconnect in a single executable

## Install

```
sudo rm -f /usr/local/bin/breach
sudo sh -c "curl -fsSL RELEASE_URL | tar -C /usr/local/bin/ -xz"
```

## Usage

```shell
Usage:
  breach [command]

Available Commands:
  forward     port forwarding for UDP->UDP / TCP->TCP
  help        Help about any command
  proxy       reverse proxy to url
  tunnel      ssh tunneling to access remote services
  version     Print the version number of breach

Flags:
  -h, --help      help for breach
  -s, --silent    silent log output
  -v, --version   version for breach

Use "breach [command] --help" for more information about a command.
```

## Systemd

```conf
[Unit]
Description=Breach

[Service]
ExecStart=/usr/local/bin/breach tunnel :8080 :80 user@example.com -i ~/.ssh/id_rsa
Restart=always

[Install]
WantedBy=multi-user.target
```